> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Competitor Facebook Overview

> Compatibility endpoint for the dedicated organic Facebook card.



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/dashboards/competitor-facebook
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/dashboards/competitor-facebook:
    get:
      tags:
        - Dashboards
        - Dashboards
      summary: Get Competitor Facebook Overview
      description: Compatibility endpoint for the dedicated organic Facebook card.
      operationId: >-
        get_competitor_facebook_overview_api_v1_brands__brand_id__dashboards_competitor_facebook_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompetitorSocialOverview'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CompetitorSocialOverview:
      properties:
        brand_id:
          type: string
          format: uuid
          title: Brand Id
        competitors:
          items:
            $ref: '#/components/schemas/CompetitorSocialMetricRow'
          type: array
          title: Competitors
        platform:
          type: string
          title: Platform
        platforms_with_data:
          items:
            type: string
          type: array
          title: Platforms With Data
        estimate_notice:
          type: string
          title: Estimate Notice
          default: ''
        filters:
          $ref: '#/components/schemas/CompetitorSocialFilterOptions'
      type: object
      required:
        - brand_id
        - competitors
        - platform
      title: CompetitorSocialOverview
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CompetitorSocialMetricRow:
      properties:
        competitor_domain:
          type: string
          title: Competitor Domain
        is_brand:
          type: boolean
          title: Is Brand
          default: false
        platform:
          type: string
          title: Platform
        channel_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel Url
        post_count_30d:
          anyOf:
            - type: integer
            - type: 'null'
          title: Post Count 30D
        post_count_is_lower_bound:
          type: boolean
          title: Post Count Is Lower Bound
          default: false
        total_videos:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Videos
        total_posts:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Posts
        avg_views:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Views
        avg_engagement:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Engagement
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Follower Count
        latest_posts:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Latest Posts
        filter_dimensions:
          $ref: '#/components/schemas/CompetitorSocialFilterDimensions'
        captured_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Captured At
      type: object
      required:
        - competitor_domain
        - platform
      title: CompetitorSocialMetricRow
    CompetitorSocialFilterOptions:
      properties:
        categories:
          items:
            type: string
          type: array
          title: Categories
        topics:
          items:
            type: string
          type: array
          title: Topics
        tags:
          items:
            type: string
          type: array
          title: Tags
        countries:
          items:
            type: string
          type: array
          title: Countries
        languages:
          items:
            type: string
          type: array
          title: Languages
        video_types:
          items:
            type: string
          type: array
          title: Video Types
        subscriber_min:
          anyOf:
            - type: integer
            - type: 'null'
          title: Subscriber Min
        subscriber_max:
          anyOf:
            - type: integer
            - type: 'null'
          title: Subscriber Max
        avg_views_min:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Views Min
        avg_views_max:
          anyOf:
            - type: number
            - type: 'null'
          title: Avg Views Max
        engagement_min:
          anyOf:
            - type: number
            - type: 'null'
          title: Engagement Min
        engagement_max:
          anyOf:
            - type: number
            - type: 'null'
          title: Engagement Max
      type: object
      title: CompetitorSocialFilterOptions
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CompetitorSocialFilterDimensions:
      properties:
        categories:
          items:
            type: string
          type: array
          title: Categories
        topics:
          items:
            type: string
          type: array
          title: Topics
        tags:
          items:
            type: string
          type: array
          title: Tags
        countries:
          items:
            type: string
          type: array
          title: Countries
        languages:
          items:
            type: string
          type: array
          title: Languages
        video_types:
          items:
            type: string
          type: array
          title: Video Types
        metadata_sources:
          items:
            type: string
          type: array
          title: Metadata Sources
      type: object
      title: CompetitorSocialFilterDimensions
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````